<?php

namespace WooCommerce\SheerID;

class MessageMap {

	private $messages;

	public function initialize() {
		$this->get_messages();
	}

	public function get_message( $key ) {
		if ( isset( $this->get_messages()[ $key ] ) ) {
			return $this->get_messages()[ $key ];
		}

		return '';
	}

	public function get_messages() {
		if ( ! $this->messages ) {
			$this->messages = [
				'defaults'             => [
					'ACTIVE_DUTY'                                                                     => __( 'Active Duty', 'sheerid-for-woocommerce' ),
					'CHILD_CARE_WORKER'                                                               => __( 'Child Care Worker', 'sheerid-for-woocommerce' ),
					'DENTIST'                                                                         => __( 'Dentist', 'sheerid-for-woocommerce' ),
					'DOCTOR'                                                                          => __( 'Doctor', 'sheerid-for-woocommerce' ),
					'EMT'                                                                             => __( 'EMT', 'sheerid-for-woocommerce' ),
					'FIREFIGHTER'                                                                     => __( 'Firefighter', 'sheerid-for-woocommerce' ),
					'GOLD_STAR_FAMILY'                                                                => __( 'Gold Star Family', 'sheerid-for-woocommerce' ),
					'HOME_BUYER'                                                                      => __( 'Home Buyer', 'sheerid-for-woocommerce' ),
					'LIBRARIAN'                                                                       => __( 'Librarian', 'sheerid-for-woocommerce' ),
					'LICENSED_COSMETOLOGIST'                                                          => __( 'Licensed Cosmetologist', 'sheerid-for-woocommerce' ),
					'LICENSED_REAL_ESTATE_AGENT'                                                      => __( 'Licensed Real Estate Agent', 'sheerid-for-woocommerce' ),
					'MILITARY_FAMILY'                                                                 => __( 'Military Family', 'sheerid-for-woocommerce' ),
					'MILITARY_RETIREE'                                                                => __( 'Military Retiree', 'sheerid-for-woocommerce' ),
					'NURSE'                                                                           => __( 'Nurse', 'sheerid-for-woocommerce' ),
					'OTHER_GOVERNMENT_ASSISTANCE'                                                     => __( 'Other Government Assistance Recipient', 'sheerid-for-woocommerce' ),
					'OTHER_HEALTH_WORKER'                                                             => __( 'Other Health Worker', 'sheerid-for-woocommerce' ),
					'OTHER_MOVER'                                                                     => __( 'Other Mover', 'sheerid-for-woocommerce' ),
					'PHARMACIST'                                                                      => __( 'Pharmacist', 'sheerid-for-woocommerce' ),
					'POLICE'                                                                          => __( 'Police', 'sheerid-for-woocommerce' ),
					'RESERVIST'                                                                       => __( 'Reservist or National Guard', 'sheerid-for-woocommerce' ),
					'SEARCH_AND_RESCUE'                                                               => __( 'Search and Rescue', 'sheerid-for-woocommerce' ),
					'SNAP_BENEFITS'                                                                   => __( 'Snap Benefits Recipient', 'sheerid-for-woocommerce' ),
					'VETERAN'                                                                         => __( 'Military Veteran or Retiree', 'sheerid-for-woocommerce' ),
					'VETERINARIAN'                                                                    => __( 'Veterinarian', 'sheerid-for-woocommerce' ),
					'activeDutyStartDate'                                                             => __( 'Active Duty Start Date', 'sheerid-for-woocommerce' ),
					'address'                                                                         => __( 'Address', 'sheerid-for-woocommerce' ),
					'addressPlaceholder'                                                              => __( 'Address', 'sheerid-for-woocommerce' ),
					'birthDate'                                                                       => __( 'Date of birth', 'sheerid-for-woocommerce' ),
					'branchOfService'                                                                 => __( 'Branch of service', 'sheerid-for-woocommerce' ),
					'branchOfServicePlaceholder'                                                      => __( 'Branch Of Service', 'sheerid-for-woocommerce' ),
					'changeLanguage'                                                                  => __( 'Change language', 'sheerid-for-woocommerce' ),
					'city'                                                                            => __( 'City', 'sheerid-for-woocommerce' ),
					'cityPlaceholder'                                                                 => __( 'City', 'sheerid-for-woocommerce' ),
					'company'                                                                         => __( 'Company', 'sheerid-for-woocommerce' ),
					'companyPlaceholder'                                                              => __( 'Company', 'sheerid-for-woocommerce' ),
					'copied'                                                                          => __( 'Copied', 'sheerid-for-woocommerce' ),
					'countries.AD'                                                                    => __( 'Andorra', 'sheerid-for-woocommerce' ),
					'countries.AE'                                                                    => __( 'United Arab Emirates', 'sheerid-for-woocommerce' ),
					'countries.AF'                                                                    => __( 'Afghanistan', 'sheerid-for-woocommerce' ),
					'countries.AG'                                                                    => __( 'Antigua and Barbuda', 'sheerid-for-woocommerce' ),
					'countries.AI'                                                                    => __( 'Anguilla', 'sheerid-for-woocommerce' ),
					'countries.AL'                                                                    => __( 'Albania', 'sheerid-for-woocommerce' ),
					'countries.AM'                                                                    => __( 'Armenia', 'sheerid-for-woocommerce' ),
					'countries.AN'                                                                    => __( 'Netherlands Antilles', 'sheerid-for-woocommerce' ),
					'countries.AO'                                                                    => __( 'Angola', 'sheerid-for-woocommerce' ),
					'countries.AR'                                                                    => __( 'Argentina', 'sheerid-for-woocommerce' ),
					'countries.AS'                                                                    => __( 'American Samoa', 'sheerid-for-woocommerce' ),
					'countries.AT'                                                                    => __( 'Austria', 'sheerid-for-woocommerce' ),
					'countries.AU'                                                                    => __( 'Australia', 'sheerid-for-woocommerce' ),
					'countries.AW'                                                                    => __( 'Aruba', 'sheerid-for-woocommerce' ),
					'countries.AZ'                                                                    => __( 'Azerbaijan', 'sheerid-for-woocommerce' ),
					'countries.BA'                                                                    => __( 'Bosnia-Herzegovina', 'sheerid-for-woocommerce' ),
					'countries.BB'                                                                    => __( 'Barbados', 'sheerid-for-woocommerce' ),
					'countries.BD'                                                                    => __( 'Bangladesh', 'sheerid-for-woocommerce' ),
					'countries.BE'                                                                    => __( 'Belgium', 'sheerid-for-woocommerce' ),
					'countries.BF'                                                                    => __( 'Burkina Faso', 'sheerid-for-woocommerce' ),
					'countries.BG'                                                                    => __( 'Bulgaria', 'sheerid-for-woocommerce' ),
					'countries.BH'                                                                    => __( 'Bahrain', 'sheerid-for-woocommerce' ),
					'countries.BI'                                                                    => __( 'Burundi', 'sheerid-for-woocommerce' ),
					'countries.BJ'                                                                    => __( 'Benin', 'sheerid-for-woocommerce' ),
					'countries.BM'                                                                    => __( 'Bermuda', 'sheerid-for-woocommerce' ),
					'countries.BN'                                                                    => __( 'Brunei Darussalam', 'sheerid-for-woocommerce' ),
					'countries.BO'                                                                    => __( 'Bolivia', 'sheerid-for-woocommerce' ),
					'countries.BR'                                                                    => __( 'Brazil', 'sheerid-for-woocommerce' ),
					'countries.BS'                                                                    => __( 'Bahamas', 'sheerid-for-woocommerce' ),
					'countries.BT'                                                                    => __( 'Bhutan', 'sheerid-for-woocommerce' ),
					'countries.BV'                                                                    => __( 'Bouvet Island', 'sheerid-for-woocommerce' ),
					'countries.BW'                                                                    => __( 'Botswana', 'sheerid-for-woocommerce' ),
					'countries.BY'                                                                    => __( 'Belarus', 'sheerid-for-woocommerce' ),
					'countries.BZ'                                                                    => __( 'Belize', 'sheerid-for-woocommerce' ),
					'countries.CA'                                                                    => __( 'Canada', 'sheerid-for-woocommerce' ),
					'countries.CD'                                                                    => __( 'Democratic Republic of Congo', 'sheerid-for-woocommerce' ),
					'countries.CF'                                                                    => __( 'Central African Republic', 'sheerid-for-woocommerce' ),
					'countries.CG'                                                                    => __( 'Congo', 'sheerid-for-woocommerce' ),
					'countries.CH'                                                                    => __( 'Switzerland', 'sheerid-for-woocommerce' ),
					'countries.CI'                                                                    => __( 'Ivory Coast (Cote D\'Ivoire)', 'sheerid-for-woocommerce' ),
					'countries.CK'                                                                    => __( 'Cook Islands', 'sheerid-for-woocommerce' ),
					'countries.CL'                                                                    => __( 'Chile', 'sheerid-for-woocommerce' ),
					'countries.CM'                                                                    => __( 'Cameroon', 'sheerid-for-woocommerce' ),
					'countries.CN'                                                                    => __( 'China', 'sheerid-for-woocommerce' ),
					'countries.CO'                                                                    => __( 'Colombia', 'sheerid-for-woocommerce' ),
					'countries.CR'                                                                    => __( 'Costa Rica', 'sheerid-for-woocommerce' ),
					'countries.CU'                                                                    => __( 'Cuba', 'sheerid-for-woocommerce' ),
					'countries.CV'                                                                    => __( 'Cape Verde', 'sheerid-for-woocommerce' ),
					'countries.CY'                                                                    => __( 'Cyprus', 'sheerid-for-woocommerce' ),
					'countries.CZ'                                                                    => __( 'Czech Republic', 'sheerid-for-woocommerce' ),
					'countries.DE'                                                                    => __( 'Germany', 'sheerid-for-woocommerce' ),
					'countries.DJ'                                                                    => __( 'Djibouti', 'sheerid-for-woocommerce' ),
					'countries.DK'                                                                    => __( 'Denmark', 'sheerid-for-woocommerce' ),
					'countries.DM'                                                                    => __( 'Dominica', 'sheerid-for-woocommerce' ),
					'countries.DO'                                                                    => __( 'Dominican Republic', 'sheerid-for-woocommerce' ),
					'countries.DZ'                                                                    => __( 'Algeria', 'sheerid-for-woocommerce' ),
					'countries.EC'                                                                    => __( 'Ecuador', 'sheerid-for-woocommerce' ),
					'countries.EE'                                                                    => __( 'Estonia', 'sheerid-for-woocommerce' ),
					'countries.EG'                                                                    => __( 'Egypt', 'sheerid-for-woocommerce' ),
					'countries.EH'                                                                    => __( 'Western Sahara', 'sheerid-for-woocommerce' ),
					'countries.ER'                                                                    => __( 'Eritrea', 'sheerid-for-woocommerce' ),
					'countries.ES'                                                                    => __( 'Spain', 'sheerid-for-woocommerce' ),
					'countries.ET'                                                                    => __( 'Ethiopia', 'sheerid-for-woocommerce' ),
					'countries.FI'                                                                    => __( 'Finland', 'sheerid-for-woocommerce' ),
					'countries.FJ'                                                                    => __( 'Fiji', 'sheerid-for-woocommerce' ),
					'countries.FK'                                                                    => __( 'Falkland Islands', 'sheerid-for-woocommerce' ),
					'countries.FM'                                                                    => __( 'Micronesia', 'sheerid-for-woocommerce' ),
					'countries.FO'                                                                    => __( 'Faroe Islands', 'sheerid-for-woocommerce' ),
					'countries.FR'                                                                    => __( 'France', 'sheerid-for-woocommerce' ),
					'countries.GA'                                                                    => __( 'Gabon', 'sheerid-for-woocommerce' ),
					'countries.GB'                                                                    => __( 'United Kingdom', 'sheerid-for-woocommerce' ),
					'countries.GD'                                                                    => __( 'Grenada', 'sheerid-for-woocommerce' ),
					'countries.GE'                                                                    => __( 'Georgia', 'sheerid-for-woocommerce' ),
					'countries.GF'                                                                    => __( 'French Guyana', 'sheerid-for-woocommerce' ),
					'countries.GH'                                                                    => __( 'Ghana', 'sheerid-for-woocommerce' ),
					'countries.GI'                                                                    => __( 'Gibraltar', 'sheerid-for-woocommerce' ),
					'countries.GL'                                                                    => __( 'Greenland', 'sheerid-for-woocommerce' ),
					'countries.GM'                                                                    => __( 'Gambia', 'sheerid-for-woocommerce' ),
					'countries.GN'                                                                    => __( 'Guinea', 'sheerid-for-woocommerce' ),
					'countries.GP'                                                                    => __( 'Guadeloupe (French)', 'sheerid-for-woocommerce' ),
					'countries.GQ'                                                                    => __( 'Equatorial Guinea', 'sheerid-for-woocommerce' ),
					'countries.GR'                                                                    => __( 'Greece', 'sheerid-for-woocommerce' ),
					'countries.GS'                                                                    => __( 'South Georgia & South Sandwich Islands', 'sheerid-for-woocommerce' ),
					'countries.GT'                                                                    => __( 'Guatemala', 'sheerid-for-woocommerce' ),
					'countries.GU'                                                                    => __( 'Guam (USA)', 'sheerid-for-woocommerce' ),
					'countries.GW'                                                                    => __( 'Guinea Bissau', 'sheerid-for-woocommerce' ),
					'countries.GY'                                                                    => __( 'Guyana', 'sheerid-for-woocommerce' ),
					'countries.HK'                                                                    => __( 'Hong Kong', 'sheerid-for-woocommerce' ),
					'countries.HM'                                                                    => __( 'Heard and McDonald Islands', 'sheerid-for-woocommerce' ),
					'countries.HN'                                                                    => __( 'Honduras', 'sheerid-for-woocommerce' ),
					'countries.HR'                                                                    => __( 'Croatia', 'sheerid-for-woocommerce' ),
					'countries.HT'                                                                    => __( 'Haiti', 'sheerid-for-woocommerce' ),
					'countries.HU'                                                                    => __( 'Hungary', 'sheerid-for-woocommerce' ),
					'countries.ID'                                                                    => __( 'Indonesia', 'sheerid-for-woocommerce' ),
					'countries.IE'                                                                    => __( 'Ireland', 'sheerid-for-woocommerce' ),
					'countries.IL'                                                                    => __( 'Israel', 'sheerid-for-woocommerce' ),
					'countries.IN'                                                                    => __( 'India', 'sheerid-for-woocommerce' ),
					'countries.IO'                                                                    => __( 'British Indian Ocean Territory', 'sheerid-for-woocommerce' ),
					'countries.IQ'                                                                    => __( 'Iraq', 'sheerid-for-woocommerce' ),
					'countries.IR'                                                                    => __( 'Iran', 'sheerid-for-woocommerce' ),
					'countries.IS'                                                                    => __( 'Iceland', 'sheerid-for-woocommerce' ),
					'countries.IT'                                                                    => __( 'Italy', 'sheerid-for-woocommerce' ),
					'countries.JM'                                                                    => __( 'Jamaica', 'sheerid-for-woocommerce' ),
					'countries.JO'                                                                    => __( 'Jordan', 'sheerid-for-woocommerce' ),
					'countries.JP'                                                                    => __( 'Japan', 'sheerid-for-woocommerce' ),
					'countries.KE'                                                                    => __( 'Kenya', 'sheerid-for-woocommerce' ),
					'countries.KG'                                                                    => __( 'Kyrgyzstan', 'sheerid-for-woocommerce' ),
					'countries.KH'                                                                    => __( 'Cambodia', 'sheerid-for-woocommerce' ),
					'countries.KI'                                                                    => __( 'Kiribati', 'sheerid-for-woocommerce' ),
					'countries.KM'                                                                    => __( 'Comoros', 'sheerid-for-woocommerce' ),
					'countries.KN'                                                                    => __( 'Saint Kitts & Nevis Anguilla', 'sheerid-for-woocommerce' ),
					'countries.KP'                                                                    => __( 'North Korea', 'sheerid-for-woocommerce' ),
					'countries.KR'                                                                    => __( 'South Korea', 'sheerid-for-woocommerce' ),
					'countries.KW'                                                                    => __( 'Kuwait', 'sheerid-for-woocommerce' ),
					'countries.KY'                                                                    => __( 'Cayman Islands', 'sheerid-for-woocommerce' ),
					'countries.KZ'                                                                    => __( 'Kazakhstan', 'sheerid-for-woocommerce' ),
					'countries.LA'                                                                    => __( 'Laos', 'sheerid-for-woocommerce' ),
					'countries.LB'                                                                    => __( 'Lebanon', 'sheerid-for-woocommerce' ),
					'countries.LC'                                                                    => __( 'Saint Lucia', 'sheerid-for-woocommerce' ),
					'countries.LI'                                                                    => __( 'Liechtenstein', 'sheerid-for-woocommerce' ),
					'countries.LK'                                                                    => __( 'Sri Lanka', 'sheerid-for-woocommerce' ),
					'countries.LR'                                                                    => __( 'Liberia', 'sheerid-for-woocommerce' ),
					'countries.LS'                                                                    => __( 'Lesotho', 'sheerid-for-woocommerce' ),
					'countries.LT'                                                                    => __( 'Lithuania', 'sheerid-for-woocommerce' ),
					'countries.LU'                                                                    => __( 'Luxembourg', 'sheerid-for-woocommerce' ),
					'countries.LV'                                                                    => __( 'Latvia', 'sheerid-for-woocommerce' ),
					'countries.LY'                                                                    => __( 'Libya', 'sheerid-for-woocommerce' ),
					'countries.MA'                                                                    => __( 'Morocco', 'sheerid-for-woocommerce' ),
					'countries.MC'                                                                    => __( 'Monaco', 'sheerid-for-woocommerce' ),
					'countries.MD'                                                                    => __( 'Moldavia', 'sheerid-for-woocommerce' ),
					'countries.ME'                                                                    => __( 'Montenegro', 'sheerid-for-woocommerce' ),
					'countries.MG'                                                                    => __( 'Madagascar', 'sheerid-for-woocommerce' ),
					'countries.MH'                                                                    => __( 'Marshall Islands', 'sheerid-for-woocommerce' ),
					'countries.MK'                                                                    => __( 'Macedonia', 'sheerid-for-woocommerce' ),
					'countries.ML'                                                                    => __( 'Mali', 'sheerid-for-woocommerce' ),
					'countries.MM'                                                                    => __( 'Myanmar', 'sheerid-for-woocommerce' ),
					'countries.MN'                                                                    => __( 'Mongolia', 'sheerid-for-woocommerce' ),
					'countries.MO'                                                                    => __( 'Macau', 'sheerid-for-woocommerce' ),
					'countries.MP'                                                                    => __( 'Northern Mariana Islands', 'sheerid-for-woocommerce' ),
					'countries.MQ'                                                                    => __( 'Martinique (French)', 'sheerid-for-woocommerce' ),
					'countries.MR'                                                                    => __( 'Mauritania', 'sheerid-for-woocommerce' ),
					'countries.MS'                                                                    => __( 'Montserrat', 'sheerid-for-woocommerce' ),
					'countries.MT'                                                                    => __( 'Malta', 'sheerid-for-woocommerce' ),
					'countries.MU'                                                                    => __( 'Mauritius', 'sheerid-for-woocommerce' ),
					'countries.MV'                                                                    => __( 'Maldives', 'sheerid-for-woocommerce' ),
					'countries.MW'                                                                    => __( 'Malawi', 'sheerid-for-woocommerce' ),
					'countries.MX'                                                                    => __( 'Mexico', 'sheerid-for-woocommerce' ),
					'countries.MY'                                                                    => __( 'Malaysia', 'sheerid-for-woocommerce' ),
					'countries.MZ'                                                                    => __( 'Mozambique', 'sheerid-for-woocommerce' ),
					'countries.NA'                                                                    => __( 'Namibia', 'sheerid-for-woocommerce' ),
					'countries.NC'                                                                    => __( 'New Caledonia (French)', 'sheerid-for-woocommerce' ),
					'countries.NE'                                                                    => __( 'Niger', 'sheerid-for-woocommerce' ),
					'countries.NF'                                                                    => __( 'Norfolk Island', 'sheerid-for-woocommerce' ),
					'countries.NG'                                                                    => __( 'Nigeria', 'sheerid-for-woocommerce' ),
					'countries.NI'                                                                    => __( 'Nicaragua', 'sheerid-for-woocommerce' ),
					'countries.NL'                                                                    => __( 'Netherlands', 'sheerid-for-woocommerce' ),
					'countries.NO'                                                                    => __( 'Norway', 'sheerid-for-woocommerce' ),
					'countries.NP'                                                                    => __( 'Nepal', 'sheerid-for-woocommerce' ),
					'countries.NR'                                                                    => __( 'Nauru', 'sheerid-for-woocommerce' ),
					'countries.NU'                                                                    => __( 'Niue', 'sheerid-for-woocommerce' ),
					'countries.NZ'                                                                    => __( 'New Zealand', 'sheerid-for-woocommerce' ),
					'countries.OM'                                                                    => __( 'Oman', 'sheerid-for-woocommerce' ),
					'countries.PA'                                                                    => __( 'Panama', 'sheerid-for-woocommerce' ),
					'countries.PE'                                                                    => __( 'Peru', 'sheerid-for-woocommerce' ),
					'countries.PF'                                                                    => __( 'Polynesia (French)', 'sheerid-for-woocommerce' ),
					'countries.PG'                                                                    => __( 'Papua New Guinea', 'sheerid-for-woocommerce' ),
					'countries.PH'                                                                    => __( 'Philippines', 'sheerid-for-woocommerce' ),
					'countries.PK'                                                                    => __( 'Pakistan', 'sheerid-for-woocommerce' ),
					'countries.PL'                                                                    => __( 'Poland', 'sheerid-for-woocommerce' ),
					'countries.PM'                                                                    => __( 'Saint Pierre and Miquelon', 'sheerid-for-woocommerce' ),
					'countries.PN'                                                                    => __( 'Pitcairn Island', 'sheerid-for-woocommerce' ),
					'countries.PR'                                                                    => __( 'Puerto Rico', 'sheerid-for-woocommerce' ),
					'countries.PS'                                                                    => __( 'Palestine', 'sheerid-for-woocommerce' ),
					'countries.PT'                                                                    => __( 'Portugal', 'sheerid-for-woocommerce' ),
					'countries.PW'                                                                    => __( 'Palau', 'sheerid-for-woocommerce' ),
					'countries.PY'                                                                    => __( 'Paraguay', 'sheerid-for-woocommerce' ),
					'countries.QA'                                                                    => __( 'Qatar', 'sheerid-for-woocommerce' ),
					'countries.RE'                                                                    => __( 'Reunion (French)', 'sheerid-for-woocommerce' ),
					'countries.RO'                                                                    => __( 'Romania', 'sheerid-for-woocommerce' ),
					'countries.RS'                                                                    => __( 'Serbia', 'sheerid-for-woocommerce' ),
					'countries.RU'                                                                    => __( 'Russian Federation', 'sheerid-for-woocommerce' ),
					'countries.RW'                                                                    => __( 'Rwanda', 'sheerid-for-woocommerce' ),
					'countries.SA'                                                                    => __( 'Saudi Arabia', 'sheerid-for-woocommerce' ),
					'countries.SB'                                                                    => __( 'Solomon Islands', 'sheerid-for-woocommerce' ),
					'countries.SC'                                                                    => __( 'Seychelles', 'sheerid-for-woocommerce' ),
					'countries.SD'                                                                    => __( 'Sudan', 'sheerid-for-woocommerce' ),
					'countries.SE'                                                                    => __( 'Sweden', 'sheerid-for-woocommerce' ),
					'countries.SG'                                                                    => __( 'Singapore', 'sheerid-for-woocommerce' ),
					'countries.SH'                                                                    => __( 'Saint Helena', 'sheerid-for-woocommerce' ),
					'countries.SI'                                                                    => __( 'Slovenia', 'sheerid-for-woocommerce' ),
					'countries.SK'                                                                    => __( 'Slovak Republic', 'sheerid-for-woocommerce' ),
					'countries.SL'                                                                    => __( 'Sierra Leone', 'sheerid-for-woocommerce' ),
					'countries.SM'                                                                    => __( 'San Marino', 'sheerid-for-woocommerce' ),
					'countries.SN'                                                                    => __( 'Senegal', 'sheerid-for-woocommerce' ),
					'countries.SO'                                                                    => __( 'Somalia', 'sheerid-for-woocommerce' ),
					'countries.SR'                                                                    => __( 'Suriname', 'sheerid-for-woocommerce' ),
					'countries.SS'                                                                    => __( 'South Sudan', 'sheerid-for-woocommerce' ),
					'countries.ST'                                                                    => __( 'Saint Tome (Sao Tome) and Principe', 'sheerid-for-woocommerce' ),
					'countries.SV'                                                                    => __( 'El Salvador', 'sheerid-for-woocommerce' ),
					'countries.SY'                                                                    => __( 'Syria', 'sheerid-for-woocommerce' ),
					'countries.SZ'                                                                    => __( 'Swaziland', 'sheerid-for-woocommerce' ),
					'countries.TC'                                                                    => __( 'Turks and Caicos Islands', 'sheerid-for-woocommerce' ),
					'countries.TD'                                                                    => __( 'Chad', 'sheerid-for-woocommerce' ),
					'countries.TF'                                                                    => __( 'French Southern Territories', 'sheerid-for-woocommerce' ),
					'countries.TG'                                                                    => __( 'Togo', 'sheerid-for-woocommerce' ),
					'countries.TH'                                                                    => __( 'Thailand', 'sheerid-for-woocommerce' ),
					'countries.TJ'                                                                    => __( 'Tajikistan', 'sheerid-for-woocommerce' ),
					'countries.TK'                                                                    => __( 'Tokelau', 'sheerid-for-woocommerce' ),
					'countries.TL'                                                                    => __( 'Timor-Leste', 'sheerid-for-woocommerce' ),
					'countries.TM'                                                                    => __( 'Turkmenistan', 'sheerid-for-woocommerce' ),
					'countries.TN'                                                                    => __( 'Tunisia', 'sheerid-for-woocommerce' ),
					'countries.TO'                                                                    => __( 'Tonga', 'sheerid-for-woocommerce' ),
					'countries.TR'                                                                    => __( 'Turkey', 'sheerid-for-woocommerce' ),
					'countries.TT'                                                                    => __( 'Trinidad and Tobago', 'sheerid-for-woocommerce' ),
					'countries.TV'                                                                    => __( 'Tuvalu', 'sheerid-for-woocommerce' ),
					'countries.TW'                                                                    => __( 'Taiwan', 'sheerid-for-woocommerce' ),
					'countries.TZ'                                                                    => __( 'Tanzania', 'sheerid-for-woocommerce' ),
					'countries.UA'                                                                    => __( 'Ukraine', 'sheerid-for-woocommerce' ),
					'countries.UG'                                                                    => __( 'Uganda', 'sheerid-for-woocommerce' ),
					'countries.UM'                                                                    => __( 'USA Minor Outlying Islands', 'sheerid-for-woocommerce' ),
					'countries.US'                                                                    => __( 'United States', 'sheerid-for-woocommerce' ),
					'countries.UY'                                                                    => __( 'Uruguay', 'sheerid-for-woocommerce' ),
					'countries.UZ'                                                                    => __( 'Uzbekistan', 'sheerid-for-woocommerce' ),
					'countries.VA'                                                                    => __( 'Vatican City State', 'sheerid-for-woocommerce' ),
					'countries.VC'                                                                    => __( 'Saint Vincent & Grenadines', 'sheerid-for-woocommerce' ),
					'countries.VE'                                                                    => __( 'Venezuela', 'sheerid-for-woocommerce' ),
					'countries.VG'                                                                    => __( 'Virgin Islands (British)', 'sheerid-for-woocommerce' ),
					'countries.VI'                                                                    => __( 'Virgin Islands (USA)', 'sheerid-for-woocommerce' ),
					'countries.VN'                                                                    => __( 'Vietnam', 'sheerid-for-woocommerce' ),
					'countries.VU'                                                                    => __( 'Vanuatu', 'sheerid-for-woocommerce' ),
					'countries.WF'                                                                    => __( 'Wallis and Futuna Islands', 'sheerid-for-woocommerce' ),
					'countries.WS'                                                                    => __( 'Samoa', 'sheerid-for-woocommerce' ),
					'countries.XK'                                                                    => __( 'Kosovo', 'sheerid-for-woocommerce' ),
					'countries.YE'                                                                    => __( 'Yemen', 'sheerid-for-woocommerce' ),
					'countries.YT'                                                                    => __( 'Mayotte', 'sheerid-for-woocommerce' ),
					'countries.ZA'                                                                    => __( 'South Africa', 'sheerid-for-woocommerce' ),
					'countries.ZM'                                                                    => __( 'Zambia', 'sheerid-for-woocommerce' ),
					'countries.ZW'                                                                    => __( 'Zimbabwe', 'sheerid-for-woocommerce' ),
					'country'                                                                         => __( 'Country', 'sheerid-for-woocommerce' ),
					'countryPlaceholder'                                                              => __( 'Country', 'sheerid-for-woocommerce' ),
					'dateTime.20_MIN'                                                                 => __( '20 minutes', 'sheerid-for-woocommerce' ),
					'dateTime.24_HRS'                                                                 => __( '24 hours', 'sheerid-for-woocommerce' ),
					'dateTime.2_DAY'                                                                  => __( '2 days', 'sheerid-for-woocommerce' ),
					'dateTime.2_HRS'                                                                  => __( '2 hours', 'sheerid-for-woocommerce' ),
					'dateTime.2_MIN'                                                                  => __( '2 minutes', 'sheerid-for-woocommerce' ),
					'dateTime.3_DAY'                                                                  => __( '3 days', 'sheerid-for-woocommerce' ),
					'dateTime.A_FEW_DAYS'                                                             => __( 'a few days', 'sheerid-for-woocommerce' ),
					'dateTime.A_FEW_HOURS'                                                            => __( 'a few hours', 'sheerid-for-woocommerce' ),
					'dateTime.A_FEW_MINUTES'                                                          => __( 'a few minutes', 'sheerid-for-woocommerce' ),
					'dateTime.A_HALF_HOUR'                                                            => __( 'half an hour', 'sheerid-for-woocommerce' ),
					'dateTime.april'                                                                  => __( 'April', 'sheerid-for-woocommerce' ),
					'dateTime.august'                                                                 => __( 'August', 'sheerid-for-woocommerce' ),
					'dateTime.day'                                                                    => __( 'Day', 'sheerid-for-woocommerce' ),
					'dateTime.december'                                                               => __( 'December', 'sheerid-for-woocommerce' ),
					'dateTime.february'                                                               => __( 'February', 'sheerid-for-woocommerce' ),
					'dateTime.january'                                                                => __( 'January', 'sheerid-for-woocommerce' ),
					'dateTime.july'                                                                   => __( 'July', 'sheerid-for-woocommerce' ),
					'dateTime.june'                                                                   => __( 'June', 'sheerid-for-woocommerce' ),
					'dateTime.march'                                                                  => __( 'March', 'sheerid-for-woocommerce' ),
					'dateTime.may'                                                                    => __( 'May', 'sheerid-for-woocommerce' ),
					'dateTime.month'                                                                  => __( 'Month', 'sheerid-for-woocommerce' ),
					'dateTime.november'                                                               => __( 'November', 'sheerid-for-woocommerce' ),
					'dateTime.october'                                                                => __( 'October', 'sheerid-for-woocommerce' ),
					'dateTime.september'                                                              => __( 'September', 'sheerid-for-woocommerce' ),
					'dateTime.year'                                                                   => __( 'Year', 'sheerid-for-woocommerce' ),
					'dischargeDate'                                                                   => __( 'Discharge date', 'sheerid-for-woocommerce' ),
					'driverLicenseNumber'                                                             => __( 'Driver license number', 'sheerid-for-woocommerce' ),
					'driverLicenseNumberPlaceholder'                                                  => __( 'Driver license number', 'sheerid-for-woocommerce' ),
					'driverLicenseState'                                                              => __( 'Driver license state', 'sheerid-for-woocommerce' ),
					'ebtCardNumber'                                                                   => __( 'EBT Card Number', 'sheerid-for-woocommerce' ),
					'emailAddress'                                                                    => __( 'Email address', 'sheerid-for-woocommerce' ),
					'emailAddressPlaceholder'                                                         => __( 'Email address', 'sheerid-for-woocommerce' ),
					'error'                                                                           => __( 'Error', 'sheerid-for-woocommerce' ),
					'errorId.activeDutyStartDateBeforeBirthDate'                                      => __( 'Start date must be after birth date', 'sheerid-for-woocommerce' ),
					'errorId.apiRateLimitExceeded'                                                    => __( 'Unable to process your request at this time, please try again later', 'sheerid-for-woocommerce' ),
					'errorId.dischargeDateBeforeBirthDate'                                            => __( 'Discharge Date before birthdate', 'sheerid-for-woocommerce' ),
					'errorId.docReviewLimitExceeded'                                                  => __( 'Document review limit exceeded', 'sheerid-for-woocommerce' ),
					'errorId.expiredEmailLoopToken'                                                   => __( 'We are sorry, the page you requested cannot be found. The URL may be incorrect or the page you\'re looking for is no longer available.', 'sheerid-for-woocommerce' ),
					'errorId.expiredProgram'                                                          => __( 'Due to tremendous demand, the offer is no longer available. Please check tomorrow to see if it is available.', 'sheerid-for-woocommerce' ),
					'errorId.expiredSMSCode'                                                          => __( 'Verification code expired', 'sheerid-for-woocommerce' ),
					'errorId.expiredVerification'                                                     => __( 'This verification is expired. Please submit a new verification.', 'sheerid-for-woocommerce' ),
					'errorId.failedToFetch'                                                           => __( 'Failed HTTP request', 'sheerid-for-woocommerce' ),
					'errorId.fraudRulesReject'                                                        => __( 'We\'re unable to verify you using the information submitted. Please check your information for accuracy, and only use your own mobile device or computer.<br><br>Still having trouble? <a href="{feedbackUrl}&pid={programId}&locale={locale}">Contact SheerID\'s support team</a> to confirm your identity.',
						'sheerid-for-woocommerce' ),
					'errorId.futureActiveDutyStartDate'                                               => __( 'Future start date', 'sheerid-for-woocommerce' ),
					'errorId.futureBirthDate'                                                         => __( 'Future birthdate', 'sheerid-for-woocommerce' ),
					'errorId.futureDischargeDate'                                                     => __( 'Future discharge date', 'sheerid-for-woocommerce' ),
					'errorId.inactiveProgram'                                                         => __( 'Due to tremendous demand, the offer is no longer available. Please check tomorrow to see if it is available.', 'sheerid-for-woocommerce' ),
					'errorId.incorrectVerificationOverrideCodeAttemptLimitExceeded'                   => __( 'Override code limit exceeded', 'sheerid-for-woocommerce' ),
					'errorId.internalServerError'                                                     => __( 'Internal server error', 'sheerid-for-woocommerce' ),
					'errorId.invalidActiveDutyStartDate'                                              => __( 'Invalid start date', 'sheerid-for-woocommerce' ),
					'errorId.invalidAddress'                                                          => __( 'Invalid address', 'sheerid-for-woocommerce' ),
					'errorId.invalidApiToken'                                                         => __( 'Provided API token was invalid or empty', 'sheerid-for-woocommerce' ),
					'errorId.invalidBirthDate'                                                        => __( 'Invalid birth date', 'sheerid-for-woocommerce' ),
					'errorId.invalidCity'                                                             => __( 'Invalid city', 'sheerid-for-woocommerce' ),
					'errorId.invalidCountry'                                                          => __( 'Invalid country', 'sheerid-for-woocommerce' ),
					'errorId.invalidDischargeDate'                                                    => __( 'Invalid discharge date', 'sheerid-for-woocommerce' ),
					'errorId.invalidDocUploadToken'                                                   => __( 'Provided document upload token is not valid', 'sheerid-for-woocommerce' ),
					'errorId.invalidDriverLicenseNumber'                                              => __( 'Invalid driver license number', 'sheerid-for-woocommerce' ),
					'errorId.invalidEbtCardNumber'                                                    => __( 'Invalid EBT Card Number', 'sheerid-for-woocommerce' ),
					'errorId.invalidEmail'                                                            => __( 'Invalid email', 'sheerid-for-woocommerce' ),
					'errorId.invalidEmailLoopToken'                                                   => __( 'We are sorry, the page you requested cannot be found. The URL may be incorrect or the page you\'re looking for is no longer available.', 'sheerid-for-woocommerce' ),
					'errorId.invalidFileSizeEmpty'                                                    => __( 'One or more files is empty', 'sheerid-for-woocommerce' ),
					'errorId.invalidFileSizeMax'                                                      => __( 'One or more files is too large (max: 10MB)', 'sheerid-for-woocommerce' ),
					'errorId.invalidFirstName'                                                        => __( 'Invalid first name', 'sheerid-for-woocommerce' ),
					'errorId.invalidFirstResponderStatus'                                             => __( 'Invalid first responder status', 'sheerid-for-woocommerce' ),
					'errorId.invalidLastName'                                                         => __( 'Invalid last name', 'sheerid-for-woocommerce' ),
					'errorId.invalidMemberId'                                                         => __( 'Invalid ID Number', 'sheerid-for-woocommerce' ),
					'errorId.invalidMilitaryStatus'                                                   => __( 'Invalid military status', 'sheerid-for-woocommerce' ),
					'errorId.invalidNumberOfFiles'                                                    => __( 'Maximum number of files exceeded (max: 5)', 'sheerid-for-woocommerce' ),
					'errorId.invalidOptIn'                                                            => __( 'Must be selected to continue', 'sheerid-for-woocommerce' ),
					'errorId.invalidOrganization'                                                     => __( 'You must select an organization from the list', 'sheerid-for-woocommerce' ),
					'errorId.invalidOverrideCode'                                                     => __( 'Invalid Override Code', 'sheerid-for-woocommerce' ),
					'errorId.invalidPhoneNumber'                                                      => __( 'Invalid mobile number', 'sheerid-for-woocommerce' ),
					'errorId.invalidPostalCode'                                                       => __( 'Invalid postal code', 'sheerid-for-woocommerce' ),
					'errorId.invalidProgram'                                                          => __( 'Invalid program', 'sheerid-for-woocommerce' ),
					'errorId.invalidRequest'                                                          => __( 'Invalid request', 'sheerid-for-woocommerce' ),
					'errorId.invalidSMSCode'                                                          => __( 'Verification code could not be validated', 'sheerid-for-woocommerce' ),
					'errorId.invalidSocialSecurityNumber'                                             => __( 'Invalid SSN', 'sheerid-for-woocommerce' ),
					'errorId.invalidState'                                                            => __( 'Invalid state', 'sheerid-for-woocommerce' ),
					'errorId.invalidStatus'                                                           => __( 'Invalid status', 'sheerid-for-woocommerce' ),
					'errorId.invalidStatuses'                                                         => __( 'Invalid status', 'sheerid-for-woocommerce' ),
					'errorId.invalidStep'                                                             => __( 'Invalid step', 'sheerid-for-woocommerce' ),
					'errorId.marketConsentRequired'                                                   => __( 'Market consent required', 'sheerid-for-woocommerce' ),
					'errorId.maxMetadataLengthExceeded'                                               => __( 'Maximum length of metadata value exceeded', 'sheerid-for-woocommerce' ),
					'errorId.maxMetadataValuesExceeded'                                               => __( 'Maximum number of metadata values exceeded', 'sheerid-for-woocommerce' ),
					'errorId.missingRequiredMetadata'                                                 => __( 'You must be logged in to verify. Log in to your account then try again.', 'sheerid-for-woocommerce' ),
					'errorId.noProgram'                                                               => __( 'No program found', 'sheerid-for-woocommerce' ),
					'errorId.noRemainingRewardCodes'                                                  => __( 'Due to tremendous demand, the offer is no longer available. Please check tomorrow to see if it is available.', 'sheerid-for-woocommerce' ),
					'errorId.noValidFiles'                                                            => __( 'No valid files', 'sheerid-for-woocommerce' ),
					'errorId.noVerification'                                                          => __( 'No verification found', 'sheerid-for-woocommerce' ),
					'errorId.notApproved'                                                             => __( 'Not approved', 'sheerid-for-woocommerce' ),
					'errorId.notFound'                                                                => __( 'Not found', 'sheerid-for-woocommerce' ),
					'errorId.outsideAgePerson'                                                        => __( 'Birthdate is not eligible for this offer.', 'sheerid-for-woocommerce' ),
					'errorId.requestTimeout'                                                          => __( 'Request timeout', 'sheerid-for-woocommerce' ),
					'errorId.simulatedError'                                                          => __( 'This is a simulated error', 'sheerid-for-woocommerce' ),
					'errorId.unauthorizedAccountStatus'                                               => __( 'This offer has been temporarily discontinued. Please contact the brand’s customer support for more information.', 'sheerid-for-woocommerce' ),
					'errorId.unauthorizedDomain'                                                      => __( 'Unauthorized domain', 'sheerid-for-woocommerce' ),
					'errorId.underagePerson'                                                          => __( 'Persons under age 16 are not eligible for this offer.', 'sheerid-for-woocommerce' ),
					'errorId.unknownError'                                                            => __( 'Unknown Error', 'sheerid-for-woocommerce' ),
					'errorId.unsupportedDocMimeType'                                                  => __( 'One or more files is an unsupported format', 'sheerid-for-woocommerce' ),
					'errorId.verificationLimitExceeded'                                               => __( 'We\'re glad you\'re enthusiastic, but it looks like you\'ve already redeemed or attempted to redeem this offer.', 'sheerid-for-woocommerce' ),
					'firstName'                                                                       => __( 'First name', 'sheerid-for-woocommerce' ),
					'firstNamePlaceholder'                                                            => __( 'First name', 'sheerid-for-woocommerce' ),
					'firstResponderInfoShared'                                                        => __( 'Information entered here will be used for verification purposes.', 'sheerid-for-woocommerce' ),
					'footerText'                                                                      => __( 'By submitting the personal information above, I acknowledge that my personal information is being collected under the <privacyPolicy>privacy policy</privacyPolicy> of the business from which I am seeking a discount, and I understand that my personal information will be shared with SheerID as a processor/third-party service provider in order for SheerID to confirm my eligibility for a special offer. <aboutSheerID>More about SheerID</aboutSheerID>.',
						'sheerid-for-woocommerce' ),
					'getHelp'                                                                         => __( 'Get help', 'sheerid-for-woocommerce' ),
					'howDoesReviewWork'                                                               => __( 'How does review work?', 'sheerid-for-woocommerce' ),
					'howDoesVerifyingWork'                                                            => __( 'How does verifying work?', 'sheerid-for-woocommerce' ),
					'infoShared1'                                                                     => __( 'By clicking, I consent to processing my information for the purpose of verifying my eligibility as described within the {privacyPolicyLink}', 'sheerid-for-woocommerce' ),
					'infoShared2'                                                                     => __( '. I understand that my information will be shared with {companyName}.', 'sheerid-for-woocommerce' ),
					'informationTransferredToUS'                                                      => __( 'Your information will be transferred to the United States and will be treated according to SheerID’s privacy policy.', 'sheerid-for-woocommerce' ),
					'lastName'                                                                        => __( 'Last name', 'sheerid-for-woocommerce' ),
					'lastNamePlaceholder'                                                             => __( 'Last name', 'sheerid-for-woocommerce' ),
					'limitExceededError'                                                              => __( 'Verification Limit Exceeded', 'sheerid-for-woocommerce' ),
					'loading'                                                                         => __( 'Loading...', 'sheerid-for-woocommerce' ),
					'locales.ar'                                                                      => __( 'Arabic', 'sheerid-for-woocommerce' ),
					'locales.bg'                                                                      => __( 'Bulgarian', 'sheerid-for-woocommerce' ),
					'locales.cs'                                                                      => __( 'Czech', 'sheerid-for-woocommerce' ),
					'locales.da'                                                                      => __( 'Danish', 'sheerid-for-woocommerce' ),
					'locales.de'                                                                      => __( 'German', 'sheerid-for-woocommerce' ),
					'locales.el'                                                                      => __( 'Greek', 'sheerid-for-woocommerce' ),
					'locales.en-GB'                                                                   => __( 'English (UK)', 'sheerid-for-woocommerce' ),
					'locales.en-US'                                                                   => __( 'English', 'sheerid-for-woocommerce' ),
					'locales.es'                                                                      => __( 'Spanish', 'sheerid-for-woocommerce' ),
					'locales.es-ES'                                                                   => __( 'Spanish (Spain)', 'sheerid-for-woocommerce' ),
					'locales.fi'                                                                      => __( 'Finnish', 'sheerid-for-woocommerce' ),
					'locales.fr'                                                                      => __( 'French', 'sheerid-for-woocommerce' ),
					'locales.fr-CA'                                                                   => __( 'French (Canadian)', 'sheerid-for-woocommerce' ),
					'locales.ga'                                                                      => __( 'Irish', 'sheerid-for-woocommerce' ),
					'locales.hr'                                                                      => __( 'Croatian', 'sheerid-for-woocommerce' ),
					'locales.hu'                                                                      => __( 'Hungarian', 'sheerid-for-woocommerce' ),
					'locales.id'                                                                      => __( 'Indonesian', 'sheerid-for-woocommerce' ),
					'locales.it'                                                                      => __( 'Italian', 'sheerid-for-woocommerce' ),
					'locales.iw'                                                                      => __( 'Hebrew', 'sheerid-for-woocommerce' ),
					'locales.ja'                                                                      => __( 'Japanese', 'sheerid-for-woocommerce' ),
					'locales.ko'                                                                      => __( 'Korean', 'sheerid-for-woocommerce' ),
					'locales.lo'                                                                      => __( 'Lao', 'sheerid-for-woocommerce' ),
					'locales.lt'                                                                      => __( 'Lithuanian', 'sheerid-for-woocommerce' ),
					'locales.ms'                                                                      => __( 'Malay', 'sheerid-for-woocommerce' ),
					'locales.nl'                                                                      => __( 'Dutch', 'sheerid-for-woocommerce' ),
					'locales.no'                                                                      => __( 'Norwegian', 'sheerid-for-woocommerce' ),
					'locales.pl'                                                                      => __( 'Polish', 'sheerid-for-woocommerce' ),
					'locales.pt'                                                                      => __( 'Portuguese', 'sheerid-for-woocommerce' ),
					'locales.pt-BR'                                                                   => __( 'Portuguese (Brazil)', 'sheerid-for-woocommerce' ),
					'locales.ro'                                                                      => __( 'Romanian', 'sheerid-for-woocommerce' ),
					'locales.ru'                                                                      => __( 'Russia', 'sheerid-for-woocommerce' ),
					'locales.sk'                                                                      => __( 'Slovak', 'sheerid-for-woocommerce' ),
					'locales.sl'                                                                      => __( 'Slovenian', 'sheerid-for-woocommerce' ),
					'locales.sr'                                                                      => __( 'Serbian', 'sheerid-for-woocommerce' ),
					'locales.sv'                                                                      => __( 'Swedish', 'sheerid-for-woocommerce' ),
					'locales.th'                                                                      => __( 'Thai', 'sheerid-for-woocommerce' ),
					'locales.tr'                                                                      => __( 'Turkish', 'sheerid-for-woocommerce' ),
					'locales.ur'                                                                      => __( 'Urdu', 'sheerid-for-woocommerce' ),
					'locales.vi'                                                                      => __( 'Vietnamese', 'sheerid-for-woocommerce' ),
					'locales.zh'                                                                      => __( 'Chinese (Traditional)', 'sheerid-for-woocommerce' ),
					'locales.zh-HK'                                                                   => __( 'Chinese (Hong Kong)', 'sheerid-for-woocommerce' ),
					'locales.zu'                                                                      => __( 'Zulu', 'sheerid-for-woocommerce' ),
					'lowIncomeOrganization'                                                           => __( 'Government Assistance Program', 'sheerid-for-woocommerce' ),
					'lowIncomeOrganizationPlaceholder'                                                => __( 'Government Assistance Program', 'sheerid-for-woocommerce' ),
					'lowRewardPool'                                                                   => __( '&#128293; Only {offersRemaining} offers left!', 'sheerid-for-woocommerce' ),
					'memberId'                                                                        => __( 'ID Number', 'sheerid-for-woocommerce' ),
					'memberIdPlaceholder'                                                             => __( 'ID Number', 'sheerid-for-woocommerce' ),
					'militaryFamilyCardNote'                                                          => __( 'Note: this offer is only available to military family members with a Dependent ID card.', 'sheerid-for-woocommerce' ),
					'militaryInfoShared'                                                              => __( 'Information entered here will be used for verification purposes.', 'sheerid-for-woocommerce' ),
					'militaryStatus'                                                                  => __( 'Military status', 'sheerid-for-woocommerce' ),
					'noOptions'                                                                       => __( 'No options', 'sheerid-for-woocommerce' ),
					'optIn'                                                                           => __( 'Yes, send me {company} marketing communications about exclusive sales, special offers, latest products and more', 'sheerid-for-woocommerce' ),
					'optional'                                                                        => __( 'Optional', 'sheerid-for-woocommerce' ),
					'organization'                                                                    => __( 'Organization', 'sheerid-for-woocommerce' ),
					'organizationPlaceholder'                                                         => __( 'Organization', 'sheerid-for-woocommerce' ),
					'personalInformation'                                                             => __( 'Personal Information', 'sheerid-for-woocommerce' ),
					'personalOrSchoolIsFine'                                                          => __( 'Personal or school email is fine', 'sheerid-for-woocommerce' ),
					'phoneNumber'                                                                     => __( 'Mobile Number', 'sheerid-for-woocommerce' ),
					'phoneNumberExplanation'                                                          => __( 'Optional - get text notifications of status updates', 'sheerid-for-woocommerce' ),
					'phoneNumberWarnMessage1'                                                         => __( 'By submitting this form with a mobile number, you consent to receive SMS/text messages for verification purposes. Standard phone carrier text messaging (SMS) and data rates may apply.',
						'sheerid-for-woocommerce' ),
					'phoneNumberWarnMessage2'                                                         => __( 'You authorize your mobile service provider to disclose your mobile number and certain account information to SheerID, solely for identity verification and to avoid fraud.',
						'sheerid-for-woocommerce' ),
					'phoneUsPlaceholder'                                                              => __( '555-555-5555', 'sheerid-for-woocommerce' ),
					'postalCode'                                                                      => __( 'Postal code', 'sheerid-for-woocommerce' ),
					'postalCodeExplanation'                                                           => __( 'Use the location on file with your licensing body', 'sheerid-for-woocommerce' ),
					'postalCodePlaceholder'                                                           => __( 'Postal code', 'sheerid-for-woocommerce' ),
					'poweredBy'                                                                       => __( 'Verification services powered by SheerID', 'sheerid-for-woocommerce' ),
					'privacyPolicy'                                                                   => __( 'Privacy Policy', 'sheerid-for-woocommerce' ),
					'proceed'                                                                         => __( 'Proceed', 'sheerid-for-woocommerce' ),
					'requestSchool'                                                                   => __( 'Don\'t see your school? Request to have it added.', 'sheerid-for-woocommerce' ),
					'requiredFields'                                                                  => __( 'All fields are required', 'sheerid-for-woocommerce' ),
					'rewardCodeEmailNotification'                                                     => __( 'A verification confirmation has been emailed to you.', 'sheerid-for-woocommerce' ),
					'school'                                                                          => __( 'School', 'sheerid-for-woocommerce' ),
					'schoolName'                                                                      => __( 'School', 'sheerid-for-woocommerce' ),
					'schoolNamePlaceholder'                                                           => __( 'School', 'sheerid-for-woocommerce' ),
					'sheeridFaqs'                                                                     => __( 'SheerID FAQs', 'sheerid-for-woocommerce' ),
					'smsCodePlaceholder'                                                              => __( 'SMS Code', 'sheerid-for-woocommerce' ),
					'ssn'                                                                             => __( 'Social Security Number', 'sheerid-for-woocommerce' ),
					'ssnPlaceholder'                                                                  => __( '000-00-0000', 'sheerid-for-woocommerce' ),
					'state'                                                                           => __( 'State', 'sheerid-for-woocommerce' ),
					'statePlaceholder'                                                                => __( 'State', 'sheerid-for-woocommerce' ),
					'states.AK'                                                                       => __( 'Alaska', 'sheerid-for-woocommerce' ),
					'states.AL'                                                                       => __( 'Alabama', 'sheerid-for-woocommerce' ),
					'states.AR'                                                                       => __( 'Arkansas', 'sheerid-for-woocommerce' ),
					'states.AS'                                                                       => __( 'American Samoa', 'sheerid-for-woocommerce' ),
					'states.AZ'                                                                       => __( 'Arizona', 'sheerid-for-woocommerce' ),
					'states.CA'                                                                       => __( 'California', 'sheerid-for-woocommerce' ),
					'states.CO'                                                                       => __( 'Colorado', 'sheerid-for-woocommerce' ),
					'states.CT'                                                                       => __( 'Connecticut', 'sheerid-for-woocommerce' ),
					'states.DC'                                                                       => __( 'District of Columbia', 'sheerid-for-woocommerce' ),
					'states.DE'                                                                       => __( 'Delaware', 'sheerid-for-woocommerce' ),
					'states.FL'                                                                       => __( 'Florida', 'sheerid-for-woocommerce' ),
					'states.GA'                                                                       => __( 'Georgia', 'sheerid-for-woocommerce' ),
					'states.GU'                                                                       => __( 'Guam', 'sheerid-for-woocommerce' ),
					'states.HI'                                                                       => __( 'Hawaii', 'sheerid-for-woocommerce' ),
					'states.IA'                                                                       => __( 'Iowa', 'sheerid-for-woocommerce' ),
					'states.ID'                                                                       => __( 'Idaho', 'sheerid-for-woocommerce' ),
					'states.IL'                                                                       => __( 'Illinois', 'sheerid-for-woocommerce' ),
					'states.IN'                                                                       => __( 'Indiana', 'sheerid-for-woocommerce' ),
					'states.KS'                                                                       => __( 'Kansas', 'sheerid-for-woocommerce' ),
					'states.KY'                                                                       => __( 'Kentucky', 'sheerid-for-woocommerce' ),
					'states.LA'                                                                       => __( 'Louisiana', 'sheerid-for-woocommerce' ),
					'states.MA'                                                                       => __( 'Massachusetts', 'sheerid-for-woocommerce' ),
					'states.MD'                                                                       => __( 'Maryland', 'sheerid-for-woocommerce' ),
					'states.ME'                                                                       => __( 'Maine', 'sheerid-for-woocommerce' ),
					'states.MI'                                                                       => __( 'Michigan', 'sheerid-for-woocommerce' ),
					'states.MN'                                                                       => __( 'Minnesota', 'sheerid-for-woocommerce' ),
					'states.MO'                                                                       => __( 'Missouri', 'sheerid-for-woocommerce' ),
					'states.MS'                                                                       => __( 'Mississippi', 'sheerid-for-woocommerce' ),
					'states.MT'                                                                       => __( 'Montana', 'sheerid-for-woocommerce' ),
					'states.NC'                                                                       => __( 'North Carolina', 'sheerid-for-woocommerce' ),
					'states.ND'                                                                       => __( 'North Dakota', 'sheerid-for-woocommerce' ),
					'states.NE'                                                                       => __( 'Nebraska', 'sheerid-for-woocommerce' ),
					'states.NH'                                                                       => __( 'New Hampshire', 'sheerid-for-woocommerce' ),
					'states.NJ'                                                                       => __( 'New Jersey', 'sheerid-for-woocommerce' ),
					'states.NM'                                                                       => __( 'New Mexico', 'sheerid-for-woocommerce' ),
					'states.NV'                                                                       => __( 'Nevada', 'sheerid-for-woocommerce' ),
					'states.NY'                                                                       => __( 'New York', 'sheerid-for-woocommerce' ),
					'states.OH'                                                                       => __( 'Ohio', 'sheerid-for-woocommerce' ),
					'states.OK'                                                                       => __( 'Oklahoma', 'sheerid-for-woocommerce' ),
					'states.OR'                                                                       => __( 'Oregon', 'sheerid-for-woocommerce' ),
					'states.PA'                                                                       => __( 'Pennsylvania', 'sheerid-for-woocommerce' ),
					'states.PR'                                                                       => __( 'Puerto Rico', 'sheerid-for-woocommerce' ),
					'states.RI'                                                                       => __( 'Rhode Island', 'sheerid-for-woocommerce' ),
					'states.SC'                                                                       => __( 'South Carolina', 'sheerid-for-woocommerce' ),
					'states.SD'                                                                       => __( 'South Dakota', 'sheerid-for-woocommerce' ),
					'states.TN'                                                                       => __( 'Tennessee', 'sheerid-for-woocommerce' ),
					'states.TX'                                                                       => __( 'Texas', 'sheerid-for-woocommerce' ),
					'states.UT'                                                                       => __( 'Utah', 'sheerid-for-woocommerce' ),
					'states.VA'                                                                       => __( 'Virginia', 'sheerid-for-woocommerce' ),
					'states.VI'                                                                       => __( 'Virgin Islands', 'sheerid-for-woocommerce' ),
					'states.VT'                                                                       => __( 'Vermont', 'sheerid-for-woocommerce' ),
					'states.WA'                                                                       => __( 'Washington', 'sheerid-for-woocommerce' ),
					'states.WI'                                                                       => __( 'Wisconsin', 'sheerid-for-woocommerce' ),
					'states.WV'                                                                       => __( 'West Virginia', 'sheerid-for-woocommerce' ),
					'states.WY'                                                                       => __( 'Wyoming', 'sheerid-for-woocommerce' ),
					'status'                                                                          => __( 'Status', 'sheerid-for-woocommerce' ),
					'statusPlaceholder'                                                               => __( 'Status', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.autorisationsIdExplanation'                      => __( 'Your Professional Membership Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.autorisationsIdLabel'                            => __( 'Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.gbrNummerExplanation'                            => __( 'Your Professional Membership Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.gbrNummerLabel'                                  => __( 'Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.globalLocationNumberExplanation'                 => __( 'Your Professional Membership Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.globalLocationNumberLabel'                       => __( 'Global Location Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.numeroColegiadoExplanation'                      => __( 'Your Professional Membership Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.numeroColegiadoLabel'                            => __( 'Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.registrationNumberExplanation'                   => __( 'Your Professional Membership Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectMedicalPersonalInfo.registrationNumberLabel'                         => __( 'Registration Number', 'sheerid-for-woocommerce' ),
					'step.collectSocialSecurityNumber.selectOption'                                   => __( 'Select an option', 'sheerid-for-woocommerce' ),
					'step.collectSocialSecurityNumber.title'                                          => __( 'Enter your social security number', 'sheerid-for-woocommerce' ),
					'step.collectSocialSecurityNumber.uploadDoc'                                      => __( 'Upload a document', 'sheerid-for-woocommerce' ),
					'step.collectSocialSecurityNumber.uploadInstead'                                  => __( 'Upload a document instead', 'sheerid-for-woocommerce' ),
					'step.collectSocialSecurityNumber.useSsn'                                         => __( 'Verify using your social security number', 'sheerid-for-woocommerce' ),
					'step.consolation.subtitle'                                                       => __( 'Unfortunately we could not verify your status, but we value your interest and are offering this promo code as a thank you. It is unique to you and can only be used once.',
						'sheerid-for-woocommerce' ),
					'step.consolation.title'                                                          => __( 'Claim your offer', 'sheerid-for-woocommerce' ),
					'step.consolation.verificationOnly'                                               => __( 'Please direct any and all questions about this offer to {companyName}.', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploadExamples'                                         => __( 'Acceptable examples include:', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.age.birthCertificate'                           => __( 'Your birth certificate', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.age.driversLicense'                             => __( 'Your drivers license', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.age.passport'                                   => __( 'Your passport', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.age.stateId'                                    => __( 'Your state-issued ID', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.employment.employeeIdCard'                      => __( 'Employee ID Card', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.employment.officialLetter'                      => __( 'An official letter', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.employment.payStub'                             => __( 'Pay stub from within last 60 days', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.firstResponder.idCard'                          => __( 'ID Card', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.firstResponder.letter'                          => __( 'An official letter', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.firstResponder.payStub'                         => __( 'Pay stub from within last 60 days', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.licensedProfessional.license'                   => __( 'Certificate of license', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.lowIncome.programApprovalLetter'                => __( 'Approval letter of the selected government assistance program issued by a government agency (for example, a Supplemental Security Income (SSI) eligibility letter).',
						'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.lowIncome.programApprovalScreenshot'            => __( 'A screenshot of the online portal of the selected government assistance program showing you qualify for it (Screenshot of your Medicare application status on your online account).',
						'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.lowIncome.programBankStatement'                 => __( 'A bank statement showing recent payment of the selected benefit.', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.lowIncome.programCard'                          => __( 'Back and front of a card showing you qualify for the selected government assistance program (for example, an EBT card for a SNAP Program).', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.medical.idCard'                                 => __( 'Nursing ID card with expiration date', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.medical.licenseCertificate'                     => __( 'Certificate of license', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.medical.photoPayStub'                           => __( 'Photo ID and recent Pay Stub', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.member.idCard'                                  => __( 'Membership Document', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.member.payStub'                                 => __( 'Pay stub from within last 90 days', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.military.activeDuty'                            => __( 'Any document that proves you are currently serving as active duty in the armed forces for 30 days or more', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.military.dependent'                             => __( 'Any document that proves you are a Registered Military Dependent', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.military.goldStarFamily'                        => __( 'Any document that proves you are a Registered Gold Star Family Member', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.military.reservistA'                            => __( 'Any document that shows you are currently serving in a reserve component of the armed forces', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.military.retiree'                               => __( 'Any document that proves you are a retiree from the armed forces', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.military.veteran'                               => __( 'Any document that proves you met the qualifications of military service and were honorably discharged', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.recentMover.changeOfAddress'                    => __( 'U.S. Postal Service change of address confirmation letter', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.recentMover.mortgageDeed'                       => __( 'Mortgage deed', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.recentMover.rentalAgreement'                    => __( 'Lease or rental agreement', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.senior.birthCertificate'                        => __( 'Your birth certificate', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.senior.driversLicense'                          => __( 'Your drivers license', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.senior.passport'                                => __( 'Your passport', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.senior.stateId'                                 => __( 'Your state-issued ID', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.student.classSchedule'                          => __( 'Class schedule', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.student.idCard'                                 => __( 'School ID card with expiration date', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.student.tuitionReceipt'                         => __( 'Tuition receipt', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.teacher.idCard'                                 => __( 'Teacher ID card with valid date', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptableUploads.teacher.payStub'                                => __( 'Pay stub from within last 60 days', 'sheerid-for-woocommerce' ),
					'step.docUpload.acceptedTypes'                                                    => __( 'File must be .jpg .jpeg .png .pdf .gif or .bmp', 'sheerid-for-woocommerce' ),
					'step.docUpload.addFile'                                                          => __( 'Add file', 'sheerid-for-woocommerce' ),
					'step.docUpload.allowedDocuments'                                                 => __( 'Please only upload documents you are legally allowed to provide.', 'sheerid-for-woocommerce' ),
					'step.docUpload.cancelButtonLabel'                                                => __( 'Cancel', 'sheerid-for-woocommerce' ),
					'step.docUpload.cancelDocUploadLabel'                                             => __( 'Click here if you are unable to verify with a document', 'sheerid-for-woocommerce' ),
					'step.docUpload.fileInstructions'                                                 => __( 'Drag &amp; drop your files here or <span class="sid-dropzone-wrap--link">browse</span>', 'sheerid-for-woocommerce' ),
					'step.docUpload.nameChanged'                                                      => __( 'If your name has changed since the document was issued, upload a 2nd document showing your official name change.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectedSubtitle'                                                 => __( 'We were unable to confirm your eligibility due to:', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.CUSTOM_VALUE_OTHER'                              => __( 'The document submitted is missing a requirement for establishing eligibility for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_DATE_OTHER'                             => __( 'The document submitted does not meet the date requirements for establishing eligibility for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_EXPIRED'                                => __( 'The document has already expired or was issued too far in the past. Please upload a more recent document.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_HANDWRITTEN'                            => __( 'We cannot accept handwritten documents.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_LIKELY_FRAUD'                           => __( 'The document is insufficient for establishing eligibility for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_OUTDATED'                               => __( 'The document you submitted is missing an issue date or was issued too far in the past.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_OUTDATED_FACULTY'                       => __( 'The document you submitted does not prove employment in the current academic year.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_PASSWORD_PROTECTED'                     => __( 'We are unable to accept password protected documents.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_STATUS_OTHER'                           => __( 'The document submitted shows a status that is not sufficient for establishing eligibility for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_TOO_FUTURE'                             => __( 'The date shown in the document is too far in the future. Please upload a more recent document, which proves your current status.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_UNREADABLE'                             => __( 'The document was unreadable due to poor image quality. Please make sure you have a clearly legible image that\'s bright and crisp, and try submitting again.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_UNSUPPORTED'                            => __( 'The document is not official or on the list of accepted document types.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.DOCUMENT_VALID_OTHER'                            => __( 'The document submitted is not able to establish eligibility for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.INELIGIBLE_JOB_TITLE'                            => __( 'The job title shown in the document is not eligible for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.INELIGIBLE_ORGANIZATION'                         => __( 'The organization on the document you submitted is not eligible for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.INELIGIBLE_PERSON_HIGH_SCHOOL_STUDENT'           => __( 'High School Students are not eligible for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.INSUFFICIENT_CUSTOM_VALUE'                       => __( 'The document is missing information needed to establish your eligibility for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.INSUFFICIENT_DOCUMENT_DATE'                      => __( 'The date(s) shown in the document are insufficient to prove your current status. Please upload a document that includes a recent month and year.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.INSUFFICIENT_STATUS'                             => __( 'The document does not prove you are a status eligible for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_BIRTHDATE'                              => __( 'The birthdate on the document does not match the birthdate you entered on your verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_COMPANY_NAME_OR_ADDRESS'                => __( 'The company name or address in your document does not match what you entered on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_CUSTOM_VALUE'                           => __( 'Some information shown in the document does not match what you entered in the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_ORGANIZATION'                           => __( 'The organization name on the document(s) you submitted does not match the organization you listed on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_ORGANIZATION_COUNTRY'                   => __( 'The country shown in your document does not match the country you entered on your verification form', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_ORGANIZATION_NAME'                      => __( 'The organization name on the document does not match the organization name you entered on your verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_PERSON_FIRST_NAME'                      => __( 'The first name on the document does not match the first name you entered on your verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_PERSON_LAST_NAME'                       => __( 'The last name on the document does not match the last name you entered on your verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_PERSON_NAME'                            => __( 'The information on the document you submitted does not match the first and/or last name submitted on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISMATCH_STATUS'                                 => __( 'The status on the document does not match the status you entered on your verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_CUSTOM_VALUE'                            => __( 'The document is missing information needed to establish your eligibility for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_DOCUMENT_DATE'                           => __( 'A current date is missing. Please upload an official, dated document that proves your current status.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_INFORMATION'                             => __( 'The document you submitted does not provide all of the information necessary to determine eligibility for this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_INFORMATION_AFFILIATION_US_ARMED_FORCES' => __( 'The document you submitted is does not show affiliation to an eligible branch of the United States Armed Forces.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_INFORMATION_BIRTHDATE'                   => __( 'Your birthdate is missing.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_INFORMATION_ORGANIZATION_NAME'           => __( 'Your organization name is missing.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_INFORMATION_PERSON_NAME'                 => __( 'The document you submitted is missing a first and/or last name.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_INFORMATION_UNIVERSITY_ENROLLMENT'       => __( 'The document you submitted does not prove enrollment in the current term.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_OR_MISMATCH_JOB_TITLE'                   => __( 'The job title on the document you submitted is missing or does not match what you entered on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_PERSON_FIRST_NAME'                       => __( 'Your first name is missing.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.MISSING_PERSON_LAST_NAME'                        => __( 'Your last name is missing.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.ORGANIZATION_NAME_OTHER'                         => __( 'The organization name shown in the document submitted was something other than what was provided on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.OTHER_CONTACT_US'                                => __( 'We are having problems verifying your eligibility for the offer. Please contact SheerID customer service for help: customerservice@sheerid.com', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.OUT_OF_RANGE_BIRTHDATE'                          => __( 'Your birthdate is outside the acceptable range of this offer.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.PAYSTUB_OUTDATED_LAST_30_DAYS'                   => __( 'Please upload a paystub that was issued within the last 30 days.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.PERSON_BIRTHDATE_OTHER'                          => __( 'The date of birth shown in the document submitted did not match with what was provided on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.PERSON_FIELD_MISMATCH'                           => __( 'A field in the document provided did not match with what was provided on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.PERSON_FIRST_NAME_OTHER'                         => __( 'The first name shown in the document submitted did not match with what was provided on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.rejectionReasons.PERSON_LAST_NAME_OTHER'                          => __( 'The last name shown in the document submitted did not match with what was provided on the verification form.', 'sheerid-for-woocommerce' ),
					'step.docUpload.submitButtonLabel'                                                => __( 'Continue', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.affiliation'                                           => __( 'Your current affiliation with that organization', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.age.birthDate'                                         => __( 'Your date of birth', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.employment.company'                                    => __( 'Your company', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.employment.currentAffiliation'                         => __( 'Your current affiliation with that company', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.firstResponder.currentAffiliation'                     => __( 'Your current affiliation with that organization', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.firstResponder.license'                                => __( 'Your status or license as a First Responder', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.firstResponder.organization'                           => __( 'Your organization', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.fullName'                                              => __( 'Your full name', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.identity.validDate'                                    => __( 'A currently valid date', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.licensedProfessional.licenseStatus'                    => __( 'Your professional license and/or certification status', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.licensedProfessional.validDate'                        => __( 'A currently valid date', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.lowIncome.ebtNumber'                                   => __( 'EBT card number', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.lowIncome.fullName'                                    => __( 'Your full name', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.lowIncome.validDate'                                   => __( 'A valid date of issue (within the last 12 months) or date of expiry (must be valid)', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.medical.status'                                        => __( 'Your medical professional status', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.medical.validDate'                                     => __( 'A currently valid date', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.military.currentAffiliation'                           => __( 'Your current affiliation with the armed services', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.military.dischargeDate'                                => __( 'Your discharge date (if applicable)', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.military.serviceBranch'                                => __( 'Your branch of service', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.military.uploadInstructionsDependent'                  => __( 'Please upload a Dependent ID card that clearly shows your first name, last name, valid dates and status', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.organization'                                          => __( 'Your organization', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.recentMover.address'                                   => __( 'Your new address', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.recentMover.validDate'                                 => __( 'A valid date for your recent move', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.senior.birthDate'                                      => __( 'Your date of birth', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.student.enrollmentDate'                                => __( 'Date proving enrollment for the current term (or within the last 3 months)', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.student.school'                                        => __( 'Your school', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.teacher.currentSchoolYear'                             => __( 'A date in the current school year', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInfo.teacher.school'                                        => __( 'Your school', 'sheerid-for-woocommerce' ),
					'step.emailLoop.errors.resend'                                                    => __( 'Error sending email', 'sheerid-for-woocommerce' ),
					'step.emailLoop.resendButton'                                                     => __( 'Re-send', 'sheerid-for-woocommerce' ),
					'step.emailLoop.skipEmail'                                                        => __( 'Unable to retrieve this email? Click', 'sheerid-for-woocommerce' ),
					'step.emailLoop.skipEmail2'                                                       => __( 'to proceed.', 'sheerid-for-woocommerce' ),
					'step.emailLoop.skipEmailCTA'                                                     => __( 'here', 'sheerid-for-woocommerce' ),
					'step.emailLoop.subtitle2'                                                        => __( 'Please check for an email from us (verify@sheerid.com) for all the details.', 'sheerid-for-woocommerce' ),
					'step.emailLoop.subtitleWithEmail'                                                => __( 'An email has been sent to {email} with a personalized link to complete the verification process.', 'sheerid-for-woocommerce' ),
					'step.emailLoop.subtitleWithoutEmail'                                             => __( 'An email has been sent to your email account with a personalized link to complete the verification process.', 'sheerid-for-woocommerce' ),
					'step.emailLoop.successResend'                                                    => __( 'Email re-sent successfully.', 'sheerid-for-woocommerce' ),
					'step.emailLoop.title'                                                            => __( 'Check your email', 'sheerid-for-woocommerce' ),
					'step.error.errorId.expiredProgram.buttonText'                                    => __( 'See More Offers', 'sheerid-for-woocommerce' ),
					'step.error.errorId.expiredProgram.title'                                         => __( 'Offer Sold Out!', 'sheerid-for-woocommerce' ),
					'step.error.errorId.inactiveProgram.buttonText'                                   => __( 'See More Offers', 'sheerid-for-woocommerce' ),
					'step.error.errorId.inactiveProgram.title'                                        => __( 'Offer Sold Out!', 'sheerid-for-woocommerce' ),
					'step.error.errorId.missingRequiredMetadata.title'                                => __( 'Please log in.', 'sheerid-for-woocommerce' ),
					'step.error.errorId.noRemainingRewardCodes.buttonText'                            => __( 'See More Offers', 'sheerid-for-woocommerce' ),
					'step.error.errorId.noRemainingRewardCodes.title'                                 => __( 'Offer Sold Out!', 'sheerid-for-woocommerce' ),
					'step.error.errorId.unauthorizedAccountStatus.buttonText'                         => __( 'Contact Support', 'sheerid-for-woocommerce' ),
					'step.error.errorId.unauthorizedAccountStatus.title'                              => __( 'Offer Is Paused!', 'sheerid-for-woocommerce' ),
					'step.error.errorId.verificationLimitExceeded.title'                              => __( 'Verification Limit Exceeded', 'sheerid-for-woocommerce' ),
					'step.override.errors.codeOverrideLimit'                                          => __( 'Override code limit exceeded.', 'sheerid-for-woocommerce' ),
					'step.override.errors.invalidCode'                                                => __( 'Invalid Override Code.', 'sheerid-for-woocommerce' ),
					'step.override.submitOverrideCodeButtonLabel'                                     => __( 'Submit Override Code', 'sheerid-for-woocommerce' ),
					'step.override.subtitle'                                                          => __( 'If applicable, please enter a verification override code below.', 'sheerid-for-woocommerce' ),
					'step.override.subtitle2'                                                         => __( 'This will enable the customer to redeem the offer', 'sheerid-for-woocommerce' ),
					'step.override.title'                                                             => __( 'Unable to Verify Status', 'sheerid-for-woocommerce' ),
					'step.override.verificationOverrideCodeLabel'                                     => __( 'Verification Override Code', 'sheerid-for-woocommerce' ),
					'step.pending.docDiffLang'                                                        => __( 'We identified your document is in a different language.', 'sheerid-for-woocommerce' ),
					'step.pending.subtitle'                                                           => __( 'SheerID is reviewing your documents, to confirm your status. This process may take up to {maxReviewTime}.', 'sheerid-for-woocommerce' ),
					'step.pending.subtitle2'                                                          => __( 'Wait here or let us notify you of the outcome.', 'sheerid-for-woocommerce' ),
					'step.pending.subtitle3'                                                          => __( 'You will be contacted via email.', 'sheerid-for-woocommerce' ),
					'step.pending.subtitleAlt'                                                        => __( 'SheerID is reviewing your documents, to confirm your status.', 'sheerid-for-woocommerce' ),
					'step.pending.subtitleCountdown'                                                  => __( 'Hang tight while we upload and scan your documents.', 'sheerid-for-woocommerce' ),
					'step.pending.titleCountdown'                                                     => __( 'Processing', 'sheerid-for-woocommerce' ),
					'step.pending.titleReview'                                                        => __( 'Reviewing', 'sheerid-for-woocommerce' ),
					'step.pending.turnaroundTime'                                                     => __( 'Turnaround time for your language is typically {estReviewTime}, and in rare times of high volume may take up to {maxReviewTime}.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingSubtitle'                                             => __( 'This should only take a minute', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'                                                => __( 'Verifying your status', 'sheerid-for-woocommerce' ),
					'step.smsLoop.errors.codeExpired'                                                 => __( 'Verification code could not be validated.', 'sheerid-for-woocommerce' ),
					'step.smsLoop.errors.codeResendLimit'                                             => __( 'Maximum number of re-tries has been reached.', 'sheerid-for-woocommerce' ),
					'step.smsLoop.errors.codeVerification'                                            => __( 'Verification code could not be validated.', 'sheerid-for-woocommerce' ),
					'step.smsLoop.errors.resend'                                                      => __( 'Error sending the SMS message', 'sheerid-for-woocommerce' ),
					'step.smsLoop.incorrectNumber.incorrectNumber1'                                   => __( 'Incorrect number? Click', 'sheerid-for-woocommerce' ),
					'step.smsLoop.incorrectNumber.incorrectNumber2'                                   => __( 'here', 'sheerid-for-woocommerce' ),
					'step.smsLoop.incorrectNumber.incorrectNumber3'                                   => __( 'to return to {companyName}', 'sheerid-for-woocommerce' ),
					'step.smsLoop.resendButton'                                                       => __( 'Re-send', 'sheerid-for-woocommerce' ),
					'step.smsLoop.submitButton'                                                       => __( 'Submit', 'sheerid-for-woocommerce' ),
					'step.smsLoop.successResend'                                                      => __( 'SMS message re-sent successfully', 'sheerid-for-woocommerce' ),
					'step.smsLoop.titleWithNumber'                                                    => __( 'We\'ve sent an SMS message to the mobile number ending in {number}. Enter your code here.', 'sheerid-for-woocommerce' ),
					'step.smsLoop.titleWithoutNumber'                                                 => __( 'We\'ve sent an SMS to your mobile number. Please enter the code here.', 'sheerid-for-woocommerce' ),
					'step.smsLoop.verificationCode'                                                   => __( 'Verification Code', 'sheerid-for-woocommerce' ),
					'step.sso.alternative'                                                            => __( 'You can also verify by uploading proof of eligibility', 'sheerid-for-woocommerce' ),
					'step.sso.cancel'                                                                 => __( 'Upload documents', 'sheerid-for-woocommerce' ),
					'step.sso.login'                                                                  => __( 'Sign in to my school', 'sheerid-for-woocommerce' ),
					'step.sso.preheader'                                                              => __( 'Quickest Method', 'sheerid-for-woocommerce' ),
					'step.sso.subtitle'                                                               => __( 'Please sign in to your school\'s web portal. It will open in a new tab.', 'sheerid-for-woocommerce' ),
					'step.sso.subtitle2'                                                              => __( 'Unable to sign in?', 'sheerid-for-woocommerce' ),
					'step.sso.title'                                                                  => __( 'Verify using your school credentials', 'sheerid-for-woocommerce' ),
					'step.success.copyCouponCode'                                                     => __( 'Copy Coupon code', 'sheerid-for-woocommerce' ),
					'step.success.emailNotification'                                                  => __( 'A verification confirmation has been emailed to you.', 'sheerid-for-woocommerce' ),
					'step.success.verificationOnly'                                                   => __( 'SheerID handles verification only. Now that you\'ve been approved, please direct all questions about the promotion terms to {companyName} customer service.', 'sheerid-for-woocommerce' ),
					'streetAddress'                                                                   => __( 'Street Address', 'sheerid-for-woocommerce' ),
					'studentInfoShared'                                                               => __( 'Information entered here will be used for verification purposes and shared with {companyName}.', 'sheerid-for-woocommerce' ),
					'tryAgain'                                                                        => __( 'Try again', 'sheerid-for-woocommerce' ),
					'universityName'                                                                  => __( 'University name', 'sheerid-for-woocommerce' ),
					'verificationPurposesOnly'                                                        => __( 'Used for verification purposes only', 'sheerid-for-woocommerce' ),
					'verifyAndContinue'                                                               => __( 'Verify and continue', 'sheerid-for-woocommerce' ),
					'verifyMyEmploymentStatus'                                                        => __( 'Verify My Employee Status', 'sheerid-for-woocommerce' ),
					'verifyMyFirstResponderStatus'                                                    => __( 'Verify My First Responder Status', 'sheerid-for-woocommerce' ),
					'verifyMyIdentityStatus'                                                          => __( 'Verify My Identity', 'sheerid-for-woocommerce' ),
					'verifyMyLicensedProfessionalStatus'                                              => __( 'Verify My Licensed Professional Status', 'sheerid-for-woocommerce' ),
					'verifyMyLowIncomeStatus'                                                         => __( 'Verify my status', 'sheerid-for-woocommerce' ),
					'verifyMyMedicalProfessionalStatus'                                               => __( 'Verify My Medical Professional Status', 'sheerid-for-woocommerce' ),
					'verifyMyMembershipStatus'                                                        => __( 'Verify My Membership Status', 'sheerid-for-woocommerce' ),
					'verifyMyMilitaryStatus'                                                          => __( 'Verify My Military Status', 'sheerid-for-woocommerce' ),
					'verifyMyMoverStatus'                                                             => __( 'Verify My New Mover Status', 'sheerid-for-woocommerce' ),
					'verifyMyStudentStatus'                                                           => __( 'Verify My Student Status', 'sheerid-for-woocommerce' ),
					'verifyMyTeacherStatus'                                                           => __( 'Verify My Teacher Status', 'sheerid-for-woocommerce' )
				],
				'age'                  => [
					'emailExplanation'                              => __( 'Needed to send you your unique code', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying age.<br><br>Documents are used only for verifying your current age and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need your license or passport', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload a government-issued document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must be of a certain age.<br><br>{companyName} uses SheerID, a trusted partner, to verify your age. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify your current age.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Age Verification', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your full name and birthdate must match what is on your government-issued documents.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name & Birthdate', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your age', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'employment'           => [
					'addressExplanation'                            => __( 'Use your home address', 'sheerid-for-woocommerce' ),
					'emailExplanation'                              => __( 'Use your work email if you have one', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying employees.<br><br>Documents are used only for verify your employment status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need more information', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload an official document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( '{companyName} has set up this special offer for all current employees of select companies.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are currently employed. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you\'re a current employee at an eligible company.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Unlock this Employment-Only Offer', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'The information you have provided should match your official documents.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check the information that you have provided', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your employment status', 'sheerid-for-woocommerce' ),
					'step.sso.alternative'                          => __( 'You can also verify by uploading proof of employment', 'sheerid-for-woocommerce' ),
					'step.sso.cancel'                               => __( 'Upload proof of employment', 'sheerid-for-woocommerce' ),
					'step.sso.login'                                => __( 'Sign in to my email', 'sheerid-for-woocommerce' ),
					'step.sso.subtitle'                             => __( 'Please sign in to your company\'s email portal. It will open in a new tab.', 'sheerid-for-woocommerce' ),
					'step.sso.subtitle2'                            => __( 'Can\'t sign in to your email?', 'sheerid-for-woocommerce' ),
					'step.sso.title'                                => __( 'Verify using your company-provided email credentials', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'firstResponder'       => [
					'emailExplanation'                              => __( 'Needed to send you your unique code', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying first responders.<br><br>Documents are used only for verifying your first responder status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need your ID', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload an official document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'This offer is available to all US first responders and emergency personnel - including law enforcement, EMTs, paramedics, and firefighters.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are an active first responder. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you\'re an active first responder.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your 1st Responder Status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your full name, organization name, and email must match what is on record with your agency.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name, Email & Organization', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your first responder status', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'identity'             => [
					'emailExplanation'                              => __( 'Needed to send you your unique code', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying identity.<br><br>Documents are used only for verifying your current eligibility and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need your driver license', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload a government-issued document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must have a valid driver license.<br><br>{companyName} uses SheerID, a trusted partner, to verify your identity. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify your current identity.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your identity', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your information must match what is on your government-issued document(s).', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name & other fields', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your identity', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'licensedProfessional' => [
					'emailExplanation'                              => __( 'Needed to send you your unique code', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying licensed professionals.<br><br>Documents are used only for verifying your licensure or certification status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need your professional license or certificate', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload a government-issued document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must hold a current professional license in your specified field. Eligible fields are shown in the Status selector of this form.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are a licensed professional. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you have a professional license in your field.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your identity', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your information must match what is on your government-issued document(s).', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name & other fields', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your license', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'lowIncome'            => [
					'addressExplanation'                            => __( 'Use your home address', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying your eligibility.<br><br>Documents are used only for verifying your eligibility status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need some more info', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload an official document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must currently qualify for an eligible government assistance program. The eligible Government Assistance Programs for this offer can be found in the box below.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are a recipient of these benefits. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you qualify for an eligible government assistance program.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your information must match what is on your government-issued document(s).', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your full name & other fields', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your status', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'medical'              => [
					'emailExplanation'                              => __( 'Use your work email if you have one', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying medical professionals.<br><br>Documents are used only for verifying your medical professional status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need more information', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload an official document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must (1) be a medical professional currently licensed in the United States and (2) be a member of an eligible branch of the medical profession. Eligible branches are shown in the Status selector of this form.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are a medical professional. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you\'re a licensed medical professional.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your Medical Professional status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your first and last name, birthdate and organization must match what is on your official documents.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check your Name, Birthdate & Organization', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your medical professional status', 'sheerid-for-woocommerce' ),
					'step.sso.alternative'                          => __( 'You can also verify by uploading proof of employment', 'sheerid-for-woocommerce' ),
					'step.sso.login'                                => __( 'Sign into my employer web portal', 'sheerid-for-woocommerce' ),
					'step.sso.subtitle'                             => __( 'Please sign into your employer\'s web portal. It will open in a new tab.', 'sheerid-for-woocommerce' ),
					'step.sso.title'                                => __( 'Verify your Healthcare status', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'member'               => [
					'emailExplanation'                              => __( 'Needed to send you your unique code', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying members.<br><br>Documents are used only to verify that your membership status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need more information', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload an official document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( '{companyName} has set up this special offer for all current members of select organizations.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are currently employed. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you\'re a current member of an eligible organization.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your Members-Only status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'The information you have provided should match your official documents.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check the information that you have provided', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your membership status', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'military'             => [
					'emailExplanation'                              => __( 'Personal email address is recommended', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying military.<br><br>Documents are used only for verifying your military status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need more information', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload your government-issued document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'This offer is available to military personnel who have served or are currently serving in the United States Armed Forces.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are a member of the military. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you\'re a member of the armed forces.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your Military-Only status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Enter your first and last name on the form as it appears on your military document(s). Keep in mind that may be your given name.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name & Birthdate', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your military status', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'recentMover'          => [
					'emailExplanation'                              => __( 'Needed to send you your unique code', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying recent movers.<br><br>Documents are used only for verifying that you\'ve recently moved and will will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need some more info', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload an official document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must have moved to a new address within the last 60 days.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you have recently moved. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you have recently moved.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your first and last name and address must match what is on your official documents.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name & Address Information', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your moving status', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'senior'               => [
					'emailExplanation'                              => __( 'Needed to send you your unique code', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying age.<br><br>Documents are used only for verifying your current age and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need your license or passport', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload a government-issued document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must be of a certain age.<br><br>{companyName} uses SheerID, a trusted partner, to verify your age. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify your current age.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify your Senior status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your full name and birthdate must match what is on your government-issued documents.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name & Birthdate', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your age', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'student'              => [
					'emailExplanation'                              => __( 'A student email address is preferred', 'sheerid-for-woocommerce' ),
					'schoolName'                                    => __( 'School', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying students.<br><br>Documents are used only for verifying your student status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need your ID & class schedule', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload your school-issued document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must currently be enrolled in a degree or certificate-granting, accredited school of education.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are a current student. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you\'re a student at a degree-granting school.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify Student-Only status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your full name and birthdate must match what is on your official school records.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name & Birthdate', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your student status', 'sheerid-for-woocommerce' ),
					'step.sso.alternative'                          => __( 'You can also verify by uploading proof of your enrollment', 'sheerid-for-woocommerce' ),
					'step.sso.cancel'                               => __( 'Upload Proof of Enrollment', 'sheerid-for-woocommerce' ),
					'step.sso.login'                                => __( 'Sign into my academic institution', 'sheerid-for-woocommerce' ),
					'step.sso.subtitle'                             => __( 'Your academic institution\'s portal will open in a new window for you to verify using your login information', 'sheerid-for-woocommerce' ),
					'step.sso.title'                                => __( 'Verify using academic institution credentials', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'teacher'              => [
					'emailExplanation'                              => __( 'Must be your school-issued email address', 'sheerid-for-woocommerce' ),
					'schoolName'                                    => __( 'School name', 'sheerid-for-woocommerce' ),
					'schoolNamePlaceholder'                         => __( 'School name', 'sheerid-for-woocommerce' ),
					'step.docUpload.howDoesVerifyingWorkDetails'    => __( 'Document review is handled by SheerID, a trusted partner who specializes in verifying teachers.<br><br>Documents are used only for verifying your teacher or faculty status is current and will be permanently deleted after review is finalized.',
						'sheerid-for-woocommerce' ),
					'step.docUpload.subtitle'                       => __( 'Documents will be reviewed in {estimatedWaitTime} by staff at SheerID, a trusted partner.', 'sheerid-for-woocommerce' ),
					'step.docUpload.title'                          => __( 'We need more information', 'sheerid-for-woocommerce' ),
					'step.docUpload.uploadInstructions'             => __( 'Upload your school-issued document that shows', 'sheerid-for-woocommerce' ),
					'step.personalInfo.howDoesVerifyingWorkDetails' => __( 'To be eligible for this offer, you must currently be employed as a teacher, faculty or staff at a K-12 school or university in the United States.<br><br>{companyName} uses SheerID, a trusted partner, to verify that you are a current teacher, faculty or staff member. SheerID only collects information that assists in verifying your eligibility. Additional information or documentation may be requested.',
						'sheerid-for-woocommerce' ),
					'step.personalInfo.subtitle'                    => __( 'Verify you\'re a teacher, faculty or staff at a K-12 or degree-granting university.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.title'                       => __( 'Verify Teaching Staff status', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.subtitle'           => __( 'Your full name and email address must match what is on record with your school.', 'sheerid-for-woocommerce' ),
					'step.personalInfo.tryAgain.title'              => __( 'Check Your Name & Email', 'sheerid-for-woocommerce' ),
					'step.personalInfo.verifyingTitle'              => __( 'Verifying your teacher status', 'sheerid-for-woocommerce' ),
					'step.success.redirectButtonText'               => __( 'Use code now', 'sheerid-for-woocommerce' ),
					'step.success.subtitle'                         => __( 'Here is your personal coupon code. It is unique to you and can only be used once.', 'sheerid-for-woocommerce' ),
					'step.success.title'                            => __( 'You\'ve been verified', 'sheerid-for-woocommerce' )
				],
				'contexts'             => [
					'product' => [],
				]
			];
		}

		return $this->messages;
	}

	/**
	 * @param \WooCommerce\SheerID\Verification $verification
	 * @param                                   $context_args
	 *
	 * @return array
	 */
	public function get_contextual_messages( $verification, $context_args = [] ) {
		$messages = apply_filters( 'woocommerce_sheerid_get_messages', $this->get_messages(), $context_args, $verification );

		return [
			'en-US' => array_merge( $this->get_messages()['defaults'], $messages[ $verification->get_segment() ] )
		];
	}

}